Class | GraphViz::Theory
In: | lib/graphviz/theory.rb
Parent: | Object

### Methods

adjancy_matrix critical_path degree incidence_matrix laplacian_matrix moore_dijkstra new range symmetric?

### Public Class methods

new( graph )

### Public Instance methods

adjancy_matrix()

Return the adjancy matrix of the graph

critical_path()

Return the critical path for a PERT network

If the given graph is not a PERT network, return nul

degree( node )

Return the degree of the given node

incidence_matrix()

Return the incidence matrix of the graph

laplacian_matrix()

Return the laplacian matrix of the graph

moore_dijkstra( dep, arv )

moore_dijkstra(source, destination)

range()

Return a liste of range

If the returned array include nil values, there is one or more circuits in the graph

symmetric?()

Return `true` if the graph if symmetric, `false` otherwise

[Validate]